Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231673 - Virtual Console Switch corrupts graphical screen
Summary: Virtual Console Switch corrupts graphical screen
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 22:12 UTC by Robert Locke
Modified: 2012-03-09 22:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-09 22:32:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
xorg.conf with i810 setting (deleted)
2007-03-09 22:12 UTC, Robert Locke
no flags Details
Log from system with problem under 5.0 matching earlier xorg.conf (deleted)
2007-09-10 16:57 UTC, Robert Locke
no flags Details
Log from switching to the intel driver (deleted)
2007-09-13 18:51 UTC, Robert Locke
no flags Details
Log under 5.1 with i810 driver (deleted)
2007-09-13 19:51 UTC, Robert Locke
no flags Details
Log under 5.1 with intel driver (deleted)
2007-09-13 19:54 UTC, Robert Locke
no flags Details

Description Robert Locke 2007-03-09 22:12:51 UTC
Description of problem:
Switch between tty7 and tty1 and back to tty7 results in corrupted single color
waving screen.  Killing X with Ctrl-Alt-BkSpc or changing runlevels does not
resolve the issue, only a reboot returns a normal graphical screen

Hardware:
Dell Optiplex 745 w/ Intel Corp 82Q963/Q965 Integrated Graphics Controller

How reproducible:
Every single time

Steps to Reproduce:
1. Switch to tty1
2. Switch to tty7
3. tty7 is corrupted, though able to return to usable tty1
  
Additional information:
The vesa driver only helps mildly.  With vesa it only corupts the screen about
30% of the time when switching.  Repeated switching does bring back the
graphical screen.

Probably related to 217352 but this is in 32-bit environment.

Comment 1 Robert Locke 2007-03-09 22:12:51 UTC
Created attachment 149751 [details]
xorg.conf with i810 setting

Comment 2 Robert Locke 2007-07-19 17:16:39 UTC
I have just tested this with the 20070710 iso.  While bug 217352 claims that we
have switched to "intel" as the default, that does not appear to be the case as
I continue to get "i810".  I am still unable to switch consoles back to
graphical mode in either anaconda, nor after the system is brought up.


Comment 3 Matěj Cepl 2007-09-07 08:11:54 UTC
Reporter, can we get your /var/log/Xorg.0.log from the X session when this
happens, please?

Comment 4 Robert Locke 2007-09-10 16:57:33 UTC
Created attachment 191781 [details]
Log from system with problem under 5.0 matching earlier xorg.conf

Here is the log from the system.  It is under a vanilla 5.0 system - no updates
to match the earlier xorg.conf

Comment 5 Matěj Cepl 2007-09-12 00:10:25 UTC
(In reply to comment #2)
> While bug 217352 claims that we
> have switched to "intel" as the default, that does not appear to be the case as
> I continue to get "i810".

With already existing /etc/X11/xorg.conf we are keeping whatever was in the
configuration file, moreover the bug you mentioned is against Fedora Core 6,
which  has different policy than RHEL.

To test with intel driver, replace the section containing the line

Driver "i810"

with this

Section "Device"
      Identifier "Videocard0" # or whatever else was there before
      Driver "intel"
EndSection

then restart X. If it breaks again, could please attach us new
/var/log/Xorg.0.log to this bug as well, please?


Comment 6 Robert Locke 2007-09-13 18:51:58 UTC
Created attachment 195001 [details]
Log from switching to the intel driver

The intel driver (under 5.0) is not recognizing this card and so X is refusing
to start at all.

Comment 7 Robert Locke 2007-09-13 19:51:28 UTC
Created attachment 195171 [details]
Log under 5.1 with i810 driver

This log is with xorg-x11-drv-i810-1.6.5-9.5.el5 and using the default detected
driver from a "system-config-display --noui --set-resolution=1024x768" at the
end of a kickstart %post under 5.1beta

Comment 8 Robert Locke 2007-09-13 19:54:24 UTC
Created attachment 195181 [details]
Log under 5.1 with intel driver

This log is with xorg-x11-drv-i810-1.6.5-9.5.el5 and using a hand edited
xorg.conf that simply replaced the use of i810 with intel under 5.1beta

Comment 9 Robert Locke 2008-12-05 16:39:35 UTC
This appears to be fixed in 5.2 which autodetects and uses by default the intel driver rather than the i810 driver - so I would be OK with closing this.

Comment 10 Adam Jackson 2012-03-09 22:32:57 UTC
Closing per comment #9, thanks!


Note You need to log in before you can comment on or make changes to this bug.